From 651728a59d56c82ac27824eaefce2014d46f0101 Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Thu, 19 May 2022 22:13:56 +0200
Subject: [PATCH 29/30] Add slurm_msg_set_r_uid() for replace_batch_job() which
 as been deleted since

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/slurmctld/job_scheduler.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/slurmctld/job_scheduler.c b/src/slurmctld/job_scheduler.c
index 987bda8507..e427769d68 100644
--- a/src/slurmctld/job_scheduler.c
+++ b/src/slurmctld/job_scheduler.c
@@ -966,6 +966,7 @@ send_reply:
 			resp_msg->address = msg->address;
 			resp_msg->msg_type = REQUEST_BATCH_JOB_LAUNCH;
 			resp_msg->data = launch_msg;
+			slurm_msg_set_r_uid(resp_msg, msg->auth_uid);
 			list_append(msg->ret_list, resp_msg);
 		} else {
 			slurm_msg_t response_msg;
@@ -975,6 +976,7 @@ send_reply:
 			response_msg.address = msg->address;
 			response_msg.msg_type = REQUEST_BATCH_JOB_LAUNCH;
 			response_msg.data = launch_msg;
+			slurm_msg_set_r_uid(&response_msg, msg->auth_uid);
 			slurm_send_node_msg(msg->conn_fd, &response_msg);
 			slurm_free_job_launch_msg(launch_msg);
 		}
-- 
2.35.3


